a.button {
  float: right;
  border-radius: 12px;
  background-color: #008000;
  border: none;
  color: #FFFFFF;
  text-align: center;
  font-size: 20px;
  padding: 10px;
  width: 280px;
  transition: all 0.5s;
  cursor: pointer;
  margin: 5px;
  box-shadow: 4px 4px 4px #888888;
}

a.button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

a.button span:after {
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

a.button:hover span {
  padding-right: 25px; 
}

a.button:hover span:after {
  opacity: 1;
  right: 0;
}